#!/usr/local/bin/wish4.2 -f
set chemin [pwd]
set TCLSRC TCL

global tcl_version tk_version tcl_platform

#
# Si c'est pas la bonne version, on sort !
# If current Tcl/Tk is not the good one, exit !
# (wanted tcl7.6/tk4.2)
#
if {$tcl_version != 7.6  ||  $tk_version != 4.2 } {
	tk_dialog .d "Start up Error" \
			"Current Tcl/Tk version is not the expected one\n\
			(should be tcl7.6/tk4.2 and\n\
			current is tcl$tcl_version/tk$tk_version)" \
			error 0 "Abort"
	exit 1
	}

#
# Si c'est Windows 3.x (Win32s), on sort !
# If it's Windows 3.x (Win32s), exit !
#
if {$tcl_platform(platform) == "windows"  \
	&&  $tcl_platform(os) == "Win32s"} {
	tk_dialog .d "Start up Error" \
			"Cannot run under this operating system \
			(should be Windows 9x or Windows NT \
			and current is $tcl_platform(os))" \
			error 0 "Abort"
	exit 1
	}

source $chemin/$TCLSRC/super.tcl
super:init
constcl:init

cons:init
edfind:init
gd:init

wm withdraw .
wm iconify .constcl

reputs
puts " -- END OF ENVIRONMENT INITIALISATION (tcl$tcl_version / tk$tk_version) --"

