# -- font.tcl
# Des outils pour les fontes de caractere dans les editeurs
#
# Auteur:		Pascal Bouvier
# Creation:		08/10/95
# Modifications:	
#
# (c) PrologIA 1995
# -----------------------------------------------------------------------------


# ==== G L O B A L E S =======================================

# ==== P R O C S =======================================

# -----------------------------------------------------------------------------
# cree le menu des fontes
# -----------------------------------------------------------------------------
proc font:makemenu {root {setstyle 0}} {
	global fonts
	set m [menu $root.mfonts]
	foreach fn [lsort [array names fonts]] {
		if $setstyle {
			catch {$m add command -label $fn \
					-command [list set edit:tmp(font) $fn] \
					-font [font: $fn]}
			} \
		else {
			catch {$m add command -label $fn \
					-command [list set edit:tmp(font) $fn]}
			}
		}
	return $m
}

# -----------------------------------------------------------------------------
# Construit le nom d'une fonte a partir d'un nom "normalise"
# -----------------------------------------------------------------------------
proc font: {list} {
	global fonts
	set ret [string tolower $list]
	return $fonts($ret)
}

#-- EOF font.tcl --------------------------------------------------------------
