# -- gauge.tcl
# Un indicateur (pourcentage) de quantite effectuee
#
# Auteur:		Pascal Bouvier
# Creation:		20/08/95
# Modifications:	
#				none
#
# (c) PrologIA 1995
# -----------------------------------------------------------------------------

#
# creation d'une gauge g, initialisee a 0
#
proc gauge:init {g} {
	canvas $g -width 100 -height 11 -relief sunken \
		-borderwidth 1 -highlightthickness 0
	$g create rectangle -1 2 0 11 -fill blue -outline {}
	return $g
	}

#
# Place la gauge g a la valeur v
#
proc gauge:set {g v} {
	$g coords 1   -1 2 [expr round($v +1)] 11
	}



#-- EOF gauge.tcl --------------------------------------------------------------
