# -- mac.tcl (PAS FAIT DU TOUT (c'est une copie de emacs.tcl))
# Bindings des touches (editeurs, menu, ...) pour Macintosh
#
# Auteur:               Pascal Bouvier
# Creation:             25/09/96
# Modifications:
#
# (c) PrologIA 1996
# -----------------------------------------------------------------------------



# Nb Keys events : 76 / 90

@com {
On definit les classes d'evenements :
- ted_commun
- ted_motif
- ted_emacs
- ted_mac

- tty_commun
- tty_motif
- tty_emacs
- tty_mac

L'enchainement des bindings est :

	.ed.t   <E>   moved  .ed   all 

au lieu de :

	.ed.t   Text   .ed   all
}

# TEXT EMACS CHANGE
bind xxxxx <Control-Key-h> {
    if !$tk_strictMotif {
	if [%W compare insert != 1.0] {
	    %W delete insert-1c
	    %W see insert
	}
    }
}

# TEXT EMACS CHANGE
bind xxxxx <Control-Key-y> {tk_textPaste %W}

# TEXT EMACS CHANGE
bind xxxxx <Control-Key-w> {tk_textCut %W}

bind xxxxx <Meta-Key-w> {tk_textCopy %W}

# TEXT EMACS CHANGE
bind xxxxx <Meta-Key-Delete> {
    if !$tk_strictMotif {
	%W delete {insert -1c wordstart} insert
    }
}

# TEXT EMACS CHANGE
bind xxxxx <Meta-Key-BackSpace> {
    if !$tk_strictMotif {
	%W delete {insert -1c wordstart} insert
    }
}

# TEXT EMACS MOVE
bind xxxxx <Meta-Key-greater> {
    if !$tk_strictMotif {
	tkTextSetCursor %W end-1c
    }
}

# TEXT EMACS MOVE
bind xxxxx <Meta-Key-less> {
    if !$tk_strictMotif {
	tkTextSetCursor %W 1.0
    }
}

# TEXT EMACS MOVE
bind xxxxx <Meta-Key-f> {
    if !$tk_strictMotif {
	tkTextSetCursor %W {insert wordend}
    }
}

# TEXT EMACS CHANGE
bind xxxxx <Meta-Key-d> {
    if !$tk_strictMotif {
	%W delete insert {insert wordend}
    }
}

# TEXT EMACS MOVE
bind xxxxx <Meta-Key-b> {
    if !$tk_strictMotif {
	tkTextSetCursor %W {insert - 1c wordstart}
    }
}

# TEXT EMACS MOVE
bind xxxxx <Control-Key-v> {
    if !$tk_strictMotif {
	tkTextScrollPages %W 1
    }
}

# TEXT EMACS CHANGE
bind xxxxx <Control-Key-t> {
    if !$tk_strictMotif {
	tkTextTranspose %W
    }
}

# TEXT EMACS MOVE
bind xxxxx <Control-Key-p> {
    if !$tk_strictMotif {
	tkTextSetCursor %W [tkTextUpDownLine %W -1]
    }
}

# TEXT EMACS CHANGE
bind xxxxx <Control-Key-o> {
    if !$tk_strictMotif {
	%W insert insert \n
	%W mark set insert insert-1c
    }
}

# TEXT EMACS MOVE
bind xxxxx <Control-Key-n> {
    if !$tk_strictMotif {
	tkTextSetCursor %W [tkTextUpDownLine %W 1]
    }
}

# TEXT EMACS CHANGE
bind xxxxx <Control-Key-k> {
    if !$tk_strictMotif {
	if [%W compare insert == {insert lineend}] {
	    %W delete insert
	} else {
	    %W delete insert {insert lineend}
	}
    }
}

# TEXT EMACS MOVE
bind xxxxx <Control-Key-f> {
    if !$tk_strictMotif {
	tkTextSetCursor %W insert+1c
    }
}

# TEXT EMACS MOVE
bind xxxxx <Control-Key-e> {
    if !$tk_strictMotif {
	tkTextSetCursor %W {insert lineend}
    }
}

# TEXT EMACS CHANGE
bind xxxxx <Control-Key-d> {
    if !$tk_strictMotif {
	%W delete insert
    }
}

# TEXT EMACS MOVE
bind xxxxx <Control-Key-b> {
    if !$tk_strictMotif {
	tkTextSetCursor %W insert-1c
    }
}

# TEXT EMACS MOVE
bind xxxxx <Control-Key-a> {
    if !$tk_strictMotif {
	tkTextSetCursor %W {insert linestart}
    }
}

bind xxxxx <Key-KP_Enter> {# nothing}

bind xxxxx <Key-Escape> {# nothing}

bind xxxxx <Control-Key> {# nothing}

bind xxxxx <Meta-Key> {# nothing}

bind xxxxx <Alt-Key> {# nothing }

# TEXT EMACS CHANGE
bind xxxxx <Key> {
    tkTextInsert %W %A
}

# TEXT EMACS CHANGE
bind xxxxx <Key-Insert> {
    catch {tkTextInsert %W [selection get -displayof %W]}
}

# TEXT EMACS CHANGE
bind xxxxx <Key-F18> {tk_textPaste %W}

# TEXT EMACS CHANGE
bind xxxxx <Key-F20> {tk_textCut %W}

# TEXT EMACS CHANGE
bind xxxxx <Key-F16> {tk_textCopy %W}

# TEXT EMACS MOVE
bind xxxxx <Control-Key-backslash> {
    %W tag remove sel 1.0 end
}

# TEXT EMACS MOVE
bind xxxxx <Control-Key-slash> {
    %W tag add sel 1.0 end
}

# TEXT EMACS MOVE
bind xxxxx <Shift-Key-Select> {
    set tkPriv(selectMode) char
    tkTextKeyExtend %W insert
}

# TEXT EMACS MOVE
bind xxxxx <Control-Shift-Key-space> {
    set tkPriv(selectMode) char
    tkTextKeyExtend %W insert
}

# TEXT EMACS MOVE
bind xxxxx <Key-Select> {
    %W mark set anchor insert
}

# TEXT EMACS MOVE
bind xxxxx <Control-Key-space> {
    %W mark set anchor insert
}

# TEXT EMACS CHANGE
bind xxxxx <Key-BackSpace> {
    if {[%W tag nextrange sel 1.0 end] != ""} {
	%W delete sel.first sel.last
    } elseif [%W compare insert != 1.0] {
	%W delete insert-1c
	%W see insert
    }
}

# TEXT EMACS CHANGE
bind xxxxx <Key-Delete> {
    if {[%W tag nextrange sel 1.0 end] != ""} {
	%W delete sel.first sel.last
    } else {
	%W delete insert
	%W see insert
    }
}

# TEXT EMACS CHANGE
bind xxxxx <Key-Return> {
    tkTextInsert %W \n
}

# TEXT EMACS CHANGE
bind xxxxx <Control-Key-i> {
    tkTextInsert %W \t
}

bind xxxxx <Control-Shift-Key-Tab> {
    focus [tk_focusPrev %W]
}

bind xxxxx <Control-Key-Tab> {
    focus [tk_focusNext %W]
}

bind xxxxx <Shift-Key-Tab> {
    # Needed only to keep <Tab> binding from triggering;  doesn't
    # have to actually do anything.
}

# TEXT EMACS CHANGE
bind xxxxx <Key-Tab> {
    tkTextInsert %W \t
    focus %W
    break
}

bind xxxxx <Control-Shift-Key-End> {
    tkTextKeySelect %W {end - 1 char}
}

bind xxxxx <Control-Key-End> {
    tkTextSetCursor %W {end - 1 char}
}

bind xxxxx <Control-Shift-Key-Home> {
    tkTextKeySelect %W 1.0
}

bind xxxxx <Control-Key-Home> {
    tkTextSetCursor %W 1.0
}

bind xxxxx <Shift-Key-End> {
    tkTextKeySelect %W {insert lineend}
}

bind xxxxx <Key-End> {
    tkTextSetCursor %W {insert lineend}
}

bind xxxxx <Shift-Key-Home> {
    tkTextKeySelect %W {insert linestart}
}

bind xxxxx <Key-Home> {
    tkTextSetCursor %W {insert linestart}
}

bind xxxxx <Control-Key-Next> {
    %W xview scroll 1 page
}

bind xxxxx <Control-Key-Prior> {
    %W xview scroll -1 page
}

bind xxxxx <Shift-Key-Next> {
    tkTextKeySelect %W [tkTextScrollPages %W 1]
}

bind xxxxx <Key-Next> {
    tkTextSetCursor %W [tkTextScrollPages %W 1]
}

bind xxxxx <Shift-Key-Prior> {
    tkTextKeySelect %W [tkTextScrollPages %W -1]
}

bind xxxxx <Key-Prior> {
    tkTextSetCursor %W [tkTextScrollPages %W -1]
}

bind xxxxx <Control-Shift-Key-Down> {
    tkTextKeySelect %W [tkTextNextPara %W insert]
}

bind xxxxx <Control-Shift-Key-Up> {
    tkTextKeySelect %W [tkTextPrevPara %W insert]
}

bind xxxxx <Control-Shift-Key-Right> {
    tkTextKeySelect %W [%W index {insert wordend}]
}

bind xxxxx <Control-Shift-Key-Left> {
    tkTextKeySelect %W [%W index {insert - 1c wordstart}]
}

bind xxxxx <Control-Key-Down> {
    tkTextSetCursor %W [tkTextNextPara %W insert]
}

bind xxxxx <Control-Key-Up> {
    tkTextSetCursor %W [tkTextPrevPara %W insert]
}

bind xxxxx <Control-Key-Right> {
    tkTextSetCursor %W [%W index {insert wordend}]
}

bind xxxxx <Control-Key-Left> {
    tkTextSetCursor %W [%W index {insert - 1c wordstart}]
}

bind xxxxx <Shift-Key-Down> {
    tkTextKeySelect %W [tkTextUpDownLine %W 1]
}

bind xxxxx <Shift-Key-Up> {
    tkTextKeySelect %W [tkTextUpDownLine %W -1]
}

bind xxxxx <Shift-Key-Right> {
    tkTextKeySelect %W [%W index {insert + 1c}]
}

bind xxxxx <Shift-Key-Left> {
    tkTextKeySelect %W [%W index {insert - 1c}]
}

bind xxxxx <Key-Down> {
    tkTextSetCursor %W [tkTextUpDownLine %W 1]
}

bind xxxxx <Key-Up> {
    tkTextSetCursor %W [tkTextUpDownLine %W -1]
}

bind xxxxx <Key-Right> {
    tkTextSetCursor %W insert+1c
}

bind xxxxx <Key-Left> {
    tkTextSetCursor %W insert-1c
}




# Nb events : 14 / 90



bind xxxxx <B2-Motion> {
    if !$tk_strictMotif {
	if {(%x != $tkPriv(x)) || (%y != $tkPriv(y))} {
	    set tkPriv(mouseMoved) 1
	}
	if $tkPriv(mouseMoved) {
	    %W scan dragto %x %y
	}
    }
}

bind xxxxx <Button-2> {
    if !$tk_strictMotif {
	%W scan mark %x %y
	set tkPriv(x) %x
	set tkPriv(y) %y
	set tkPriv(mouseMoved) 0
    }
}

# TEXT EMACS CHANGE
bind xxxxx <ButtonRelease-2> {
    if {!$tkPriv(mouseMoved) || $tk_strictMotif} {
	tkTextPaste %W %x %y
    }
}

bind xxxxx <Control-Button-1> {
    %W mark set insert @%x,%y
}

bind xxxxx <ButtonRelease-1> {
    tkCancelRepeat
}

bind xxxxx <B1-Enter> {
    tkCancelRepeat
}

bind xxxxx <B1-Leave> {
    set tkPriv(x) %x
    set tkPriv(y) %y
    tkTextAutoScan %W
}

bind xxxxx <Triple-Shift-Button-1> {
    set tkPriv(selectMode) line
    tkTextSelectTo %W %x %y
}

bind xxxxx <Double-Shift-Button-1> {
    set tkPriv(selectMode) word
    tkTextSelectTo %W %x %y
}

bind xxxxx <Shift-Button-1> {
    tkTextResetAnchor %W @%x,%y
    set tkPriv(selectMode) char
    tkTextSelectTo %W %x %y
}

bind xxxxx <Triple-Button-1> {
    set tkPriv(selectMode) line
    tkTextSelectTo %W %x %y
    catch {%W mark set insert sel.first}
}

bind xxxxx <Double-Button-1> {
    set tkPriv(selectMode) word
    tkTextSelectTo %W %x %y
    catch {%W mark set insert sel.first}
}

bind xxxxx <B1-Motion> {
    set tkPriv(x) %x
    set tkPriv(y) %y
    tkTextSelectTo %W %x %y
}

bind xxxxx <Button-1> {
    tkTextButton1 %W %x %y
    %W tag remove sel 0.0 end
}



# d'apres FRED:

xbind .t <Double-Button-3>  {%W delete anchor current}



# -- EOF binding.tcl ----------------------------------------------------------
