#!/usr/local/bin/wish4.2 -f
set chemin /prince/Toutou/prince/pascal
set TCLSRC TCL4

global tcl_version tk_version tcl_platform

#
# Si c'est trop ancien on sort.
# (Le mieux est tcl7.6/tk4.2)
#
if {$tcl_version < 7.5  ||  $tk_version < 4.1 } {
	tk_dialog .d "Start up Error" \
			"Current Tcl/Tk version is too old\n\
			(should be at least tcl7.5/tk4.1 and\n\
			current is tcl$tcl_version/tk$tk_version)" \
			error 0 "Abort"
	exit 1
	}

#
# Si c'est Windows 3.x (Win32s), on sort
#
if {$tcl_platform(platform) == "windows"  \
	&&  $tcl_platform(os) == "Win32s"} {
	tk_dialog .d "Start up Error" \
			"Cannot run under this operating system \
			(should be Windows 95 or Windows NT \
			and current is $tcl_platform(os))" \
			error 0 "Abort"
	exit 1
	}

source $chemin/$TCLSRC/super.tcl
super:init
constcl:init

cons:init
edfind:init

puts " -- END OF ENVIRONMENT INITIALISATION (tcl$tcl_version / tk$tk_version) --"
