% -- cmenu.p4 --
% Une version du fameux menu (tire de Prolog III).
% A version of the famous Prolog III "menu";
%
% (c) PrologIA 1990-1998
%
% >> to_begin.

lightMeal(H,M,D) :- 
	lelin(0,I), lelin(0,J), lelin(0,K),
	lelin(I+J+K, 10),
        horsDoeuvre(H,I), 
        mainCourse(M,J), 
        dessert(D,K).

horsDoeuvre(radishes,1).
horsDoeuvre(pate,6).

mainCourse(M,I) :- meat(M,I).
mainCourse(M,I) :- fish(M,I).

dessert(fruit, 2).
dessert(ice_cream,6).

meat(beef,5).
meat(pork,7).

fish(sole,2).
fish(tuna,4).

% to launch.
to_begin :- 
        lightMeal(H,P,D),
        write([H,P,D]), 
        nl.

% -- EOF cmenu.p4 -------------------------------------------------------------%

