%-- exgraf.p4
% Une espece de regle graduee
% Pascal Bouvier
% 9/07/95
% (c) PrologIA 1995
%
% Appeler d'abord une fois init. puis autant de fois test qu'on veut.

init :- gr_init.

test :-
	valeurs(L),
	gr_erase,
	gr_moveto(10, 100),
	gr_lineto(1000,100),
	loop(L).

valeurs([1,2,4,8,16,21,32]) .

loop([]) .
loop([A|L]) :-
	X = 10+10*A,
	gr_moveto(X, 90),
	gr_line(0, 20),
	gr_drawstring_at(A, X, 80),
	loop(L).

/* Dessine un rectangle colore */

test2 :-
	for(I, 0, 25),
	for(J, 0, 25),
	gr_fgcolor3(0, 10*I,10*J),
	gr_rect(paint, 10+10*I, 150+10*J, 10+10*(I+1), 150+10*(J+1)),
	fail.
test2.

test3 :-
	gr_settag(gb),
	for(I, 0, 63),
	for(J, 0, 63),
	gr_fgcolor3(0, 4*I, 4*J),
	gr_rect(paint, 20+4*I, 20+4*J, 20+4*(I+1), 20+4*(J+1)),
	fail.
test3.
%
test4 :-
	gr_settag(rg),
	for(I, 0, 63),
	for(J, 0, 63),
	gr_fgcolor3(4*I, 4*J, 0),
	gr_rect(paint, 20+4*I, 20+4*J, 20+4*(I+1), 20+4*(J+1)),
	fail.
test4.
%
test5 :-
	gr_settag(rb),
	for(I, 0, 15),
	for(J, 0, 15),
	gr_fgcolor3(16*I, 0, 16*J),
	gr_rect(paint, 600+16*I, 20+16*J, 600+16*(I+1), 20+16*(J+1)),
	fail.
test5.

for(X, X,B) :- X =< B.
for(X, A,B) :- A =< B, for(X, A+1, B).


%-- EOF exgraf.p4 ------------------------------------------%
